[paludis-user] Different use flags

Ciaran McCreesh ciaran.mccreesh at googlemail.com
Thu Feb 25 08:55:53 UTC 2010


On Wed, 24 Feb 2010 18:12:46 -0500
Malinka Rellikwodahs <aelmalinka at gmail.com> wrote:
> > Isn't that actually an invalid dependency? Wouldn't the proper way
> > of supporting that be:
> > || ( <dev-libs/boost-1.35.0-r5 >=dev-libs/boost-1.35.0-r5[python] )
> 
> Maybe I'm crazy but isn't that exactly how it's dependencies are
> specified?

Ah, then that's a different issue if they're in a || block. What
that dependency means is "prefer <dev-libs/boost-1.35.0-r5 but also
accept >=dev-libs/boost-1.35.0-r5[python] if you can't". So the ebuild
needs to be fixed to list the best option first.

-- 
Ciaran McCreesh
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 198 bytes
Desc: not available
URL: <http://lists.exherbo.org/pipermail/paludis-user/attachments/20100225/d243444f/attachment.asc>


More information about the paludis-user mailing list